Subject: Re[2]: Guest Account

From: "Shon Nixon"<[email-masked]>
Date: Thu, 08 Oct 98 07:43:08 -0500

Tons of messages? I have only sent 2 so far... All of this has already been done
as per the latest guest FAQ. The directories are chmoded 775 (the user directory
and the upload directory that is). Files are set up exactly as per the guest
FAQ. I can see the files and directories, so "ls" is working. I just can not
transfer files into either the / directory or /upload. It says file transferred,
but no file... I check on the ftp server to see if it did transfer, but no file.
The directories are owned by the user I am connecting as. Don't really know what
else could be the problem...Thanks for the help

Shon

____________________Reply Separator____________________
Subject:    Re: Guest Account 
Author: Leif Ericksen <[email-masked]> 
Date:       10/7/98 12:52 PM

OK OK OK I have seen tons of messages from you about a little problem...
What are the permissions on the files???  rwx-r-x---? rwx-r-x-r-x?

IF the owner is sombody other than what the owner of the program is say
FTP you will have to make sure that the group is set?  What is the group
of the program???  OK lets say we do something special here..

We set up the ftp in a directory /ftpjunk
in that directory we have /etc, /lib, /usr, /tmp, /upload and the
such...  NOW what we do is put a basic /etc/passwd and /etc/shadow in
the directory strip out all the crap as specified in WU-FTP install
docs..  (Please NOTE, I have only installed this once at this time...)

Now we may even need a /etc/group  lets create a user

ftper lets create a group ftpme
what is the ownership of up load???  (root other? root sys?) 
what it should be is ftper and ftpme or in the least whatever ftpme AND
perms of the group should be something like 775.

AM I on track or am I jumping and saying something way off base for what
you are doing... I only scanned briefly what is stated in your document.

                        - Leif Ericksen

---

From: Gregory A Lundberg <[email-masked]>
Date: Thu, 8 Oct 1998 10:48:00 -0400 (EDT)

On Thu, 8 Oct 1998, Shon Nixon wrote:

> The directories are chmoded 775 (the user directory and the upload
> directory that is). Files are set up exactly as per the guest FAQ. I
> can see the files and directories, so "ls" is working. I just can not
> transfer files into either the / directory or /upload. It says file
> transferred, but no file... I check on the ftp server to see if it did
> transfer, but no file. The directories are owned by the user I am
> connecting as.

Check your ftpaccess file.  Subtle typos or format errors have been known
to cause problems.  I see you're grabbed some files from my site; email
off the list if you're still having problems.

-- 

Gregory A Lundberg		Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195